#
# spec file for package rubygem-pry
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pry
Version:        0.14.2
Release:        1.6
%define mod_name pry
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://pry.github.io
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A runtime developer console and IRB alternative with powerful
License:        MIT
PreReq:         update-alternatives

%description
Pry is a runtime developer console and IRB alternative with powerful
introspection capabilities. Pry aims to be more than an IRB replacement. It is
an attempt to bring REPL driven programming to the Ruby language.

%prep

%build

%install
%gem_install \
  --no-rdoc --no-ri \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ### [v0.14.2][v0.14.2] (January 9, 2023)
  [#]### Features
  * Configure `code` as a supported editor on Pry::Editor
  ([#2236](https://github.com/pry/pry/pull/2236))
  * Added support for Ruby 3.2
  ([#2263](https://github.com/pry/pry/pull/2263))
  * Added support for Ruby 3.1
  ([#2228](https://github.com/pry/pry/pull/2228))
  [#]### Bug fixes
  * Short circuit eval regexes in finding module definition
  ([#2253](https://github.com/pry/pry/pull/2253))
  * Revert "Escape non-printing characters"
  ([#2235](https://github.com/pry/pry/pull/2235))
  * Fixed bug where WeirdMethodLocator would fail to find the source of a method breaking whereami
  ([#2244](https://github.com/pry/pry/pull/2244))
  * Fixed bug where pry would throw an FrozenError when dealing with incomplete tokens
  ([#2136](https://github.com/pry/pry/pull/2136))
  * Restore --no-history CLI flag functionality
  ([#2196](https://github.com/pry/pry/pull/2196))
  * Fixed bug where reading from the `_out_` sticky local variable could return
  wrong results ([#2201](https://github.com/pry/pry/pull/2201))
  [#]### Breaking Changes
  * Remove support for Ruby 1.9 and JRuby < 9.0
  ([#2239](https://github.com/pry/pry/pull/2239))
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.14.1
  see installed CHANGELOG.md
  [#]## [v0.14.1][v0.14.1] (April 12, 2021)
  [#]### Bug fixes
  * Fixed bad coloring of some RDoc-style docs
    ([#2182](https://github.com/pry/pry/pull/2182))
  * Fixed broken `--plugins` option. It shows a warning now
    ([#2180](https://github.com/pry/pry/pull/2180))
  * Fixed bad output on printing non-visible characters with color codes
    ([#2154](https://github.com/pry/pry/pull/2154))
  * Fixed bad output when colors are disabled and a string with color codes is
    printed ([#2158](https://github.com/pry/pry/pull/2158))
  [#]## [v0.14.0][v0.14.0] (February 8, 2021)
  [#]### Features
  * Made `?` an alias to `show-source -d`
    ([#2133](https://github.com/pry/pry/pull/2133))
  * Added support for Ruby 3.0
  [#]### Breaking changes
  * Deleted support for plugin autoloading
    ([#2119](https://github.com/pry/pry/pull/2119)). In order to load a Pry plugin
    you must `require` it from your `pryrc` or add it to your Gemfile.
    ```rb
    [#] ~/.pryrc
    require 'pryrc'
    ```
* Mon May  4 2020 Manuel Schnitzer <mschnitzer@suse.com>
- Regenerated spec file to fix building
* Mon Apr 27 2020 Marcus Rueckert <mrueckert@suse.de>
- updated to version 0.13.1
  see installed CHANGELOG.md
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 0.12.2
  see installed CHANGELOG.md
  [#]## [v0.12.2][v0.12.2] (November 12, 2018)
  [#]### Bug fixes
  * Restore removed deprecations, which were removed by accident due to a bad
    rebase.
  [#]## [v0.12.1][v0.12.1] (November 12, 2018)
  [#]### Bug fixes
  * Stopped creating a new hash each time `Pry::Prompt#[]` is invoked
    ([#1855](https://github.com/pry/pry/pull/1855))
  * Fixed `less` pager not working when it's available
    ([#1861](https://github.com/pry/pry/pull/1861))
  [#]## [v0.12.0][v0.12.0] (November 5, 2018)
  [#]### Major changes
  * Dropped support for Rubinius ([#1785](https://github.com/pry/pry/pull/1785))
* Fri Nov 17 2017 mschnitzer@suse.com
- updated to version 0.11.3
  [#] Features
  - Deprecate Pry::Command#text. Please use black(), white(), etc directly instead (as you would with helper functions from BaseHelpers and CommandHelpers)
  - Add Pry::Testable, an improved modular replacement for PryTestHelpers. breaking change.
  - Add a new category module: "Pry::Platform". Loosely related to #1668 below.
  - Add mac_osx? and linux? utility functions to Pry::Helpers::BaseHelpers.
  - Add utility functions for drawing colorised text on a colorised background.
  [#] Bug fixes
  - Fix a case of infinite recursion in Pry::Method::WeirdMethodLocator#find_method_in_superclass that users of the Hanami web framework experienced and reported since 2015.
  - Fix a bug where Method objects were not returned for setters inherited from a default (Pry::Config::Default). Eg, this is no longer an error:
  - Do not capture unused Proc objects in Text helper methods no_color and no_paging, for performance reasons. Improve the documentation of both methods.
  - Fix String#pp output color.
* Mon Oct 23 2017 mschnitzer@suse.com
- updated to version 0.11.2
  see installed CHANGELOG.md
* Tue Sep 26 2017 mdeniz@suse.com
- updated to version 0.11.1
  see installed CHANGELOG.md
* Thu Sep 21 2017 coolo@suse.com
- updated to version 0.11.0
  see installed CHANGELOG.md
* Mon Jul 11 2016 coolo@suse.com
- updated to version 0.10.4
  see installed CHANGELOG.md
* Thu Oct 15 2015 coolo@suse.com
- updated to version 0.10.3
  see installed CHANGELOG.md
  [#]## 0.10.3
  * cherry-pick 0d1d72b and e0e5c75 to fix the install of Pry on Windows.
* Fri Sep 25 2015 coolo@suse.com
- updated to version 0.10.2
  see installed CHANGELOG.md
  [#]## 0.10.2
  * cherry-pick c2ed9ec135bd791a32c70fbe05cc0508ea17c4040e from master (fix inf. loop with prepended methods source retrieval)
  * Update some specs for recent ruby versions  (2.2+)
* Sun Oct 12 2014 coolo@suse.com
- updated to version 0.10.1, see CHANGELOG.md
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.9.12.6
* Mon Nov 25 2013 coolo@suse.com
- updated to version 0.9.12.4, no changelog
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.9.12.3
* Mon May 13 2013 coolo@suse.com
- updated to version 0.9.12.2
  * reload-code (with no args) should reload 'current file', issue #920
* Wed Apr 24 2013 coolo@suse.com
- updated to version 0.9.12.1
  * Fixes #890, workaround for jruby crash related to http://jira.codehaus.org/browse/JRUBY-7114
  * note this fix is just applied to the 0.9.12 tag, not master. However, master has
  this fix applied too.
* Wed Mar 20 2013 coolo@suse.com
- buildrequire rdoc (see https://gist.github.com/saketoba/4662125)
* Wed Mar 20 2013 coolo@suse.com
- updated to version 0.9.12
  Bug fixes:
  * Fix major bug where commands broke due to slop looking at ARGV
    instead of command parameters (#828)
  * Fix bug where pager broke in some situations (#845)
  * Fix broken rendering of some docs (#795)
  * silence warnings during failed tab-completion attempts
  * fix broken prompt when prompt is colored (#822 / #823)
  * added reload-method alias for reload-code (for backwards compat)
  * Reopen Readline.output if it is not a tty (see 1538bc0990)
  Features:
  * added pry --gem (see 19bfc13aa)
  * show-source now works on commands created with create_command
  * add -m (method) -c (class) and -f (file) switches to 'whereami' command
  * show-source now falls back to superclass if can't find class code
    (displays warning)
  * show-source/show-doc now indicate when -a option is available.
* Thu Jan 24 2013 coolo@suse.com
- updated to version 0.9.11.4
  * fixed pager bug (wouldn't render color codes in some circumstances)
  * added Pry.last_internal_error, useful for devs debugging commands
  * fix Pry.run_command
  * improve `ls` output
  * add :requires_gem => "jist" to 'gist' command (so deps can be installed
    via install-command)
  * improve help for 'edit' command
  * minor bug fix for gist on windows, rescuing Jist::ClipboardError
  rather than letting the scary error spill out to users and potentially
  have them think the gist didnt post.
  * fixed minor bug in 'gist' command where i neglected to remove
  a call to a non-existent method (no_arg) which was called when
  `gist` is invoked with no parameters
  dependency changes:
  * upgrade the slop gem to version ~> 3.4
  * new optional dependency: Bond (you'll need to perform `gem install bond`).
* Thu Aug 30 2012 coolo@suse.com
- updated to version 0.9.10
* Sun Jul 15 2012 coolo@suse.com
- update to 0.9.10
  dependency changes:
  * #561 upgrade the slop gem to version 3
  * #590 move to the jist gem from gist.
  * upgrade method_source to 0.8
  new features:
  * #572 add --hist, -o and -k flags to gist command
  * #584 support show-source/doc on methods defined in class-eval
  * #585 support show-source/doc on gem methods defined in C
  * #596 add --disable-plugin and --select-plugin options
  * #597 allow "cd -" to switch between bindings
  * #612 add Pry.config.should_load_local_rc to turn off ./.pryrc
  * allow running a file of pry input with pry <file>
  * support colours in "ri" command
  * add before_eval hook
  * prompt now gets a lot more data when proc arity is 1
  bug fixes &c.
  * #554 removed the "req" command
  * #567 fix rendering bugs when starting pry
  * #568 fix Array#pretty_print on Jruby
  * #575 fix "edit" on windows
  * #576 fix "find-method" in the presence of badly behaved objects
  * #580 fix "whereami" in erb files on rails
  * #632 raise fewer exceptions while tab completing
  * #605 dont immediately quite pry when an error happens in readline
  * #606 support for ansicon to give jruby windows users colour
  * #613 massive speed improvements to show-source for modules
  * #620 improve whereami command when not in a binding.pry
  * #622 support embedded documents (=begin ... =end)
  * #627 support editing files with spaces in the name
  * changed __binding_impl__ to __pry__
  * support for absolute paths in $EDITOR
  * fix "cat" command on files with unknown extensions
  * many many internal refactorings and tidyings
* Sun Jul 15 2012 coolo@suse.com
- update to 0.9.9.6
  * fixed ZeroDivisionError in correct_indentation, bug #558
  * fix double highlighting in rdoc, bug #562
  * autocreate configuration for plugins, bug #548
  * fixed `NoMethodError: undefined method `winsize' for #<IO:<STDOUT>>`, bug #549
  * fixes for jruby
  * breakage on `exit` syntax error, fixes, #550
  * heredoc content no longer auto-indented
  * show-doc would fail on some core classes, i.e `show-doc Bignum`. This is now fixed
  and show allow a wider range of core documentation to be viewed directly in Pry.
  * make correct_indentation's auto-colorization respect Pry.color
  * cleared up confusion in show-source/show-doc docs that -a switch applies to classes
  as well as modules
  MAJOR NEW FEATURES
  * lines of input are syntax highlighted upon 'enter' keypress
  * show-source command can now show class/module sourcecode (use -a to see all monkeypatches). Hard dependency on ruby18_source_location gem in MRI 1.8
  * show-doc command can show class/module docs (use -a to see docs for all monkeypatches) Hard dependency on ruby18_source_location gem in MRI 1.8.
  * new `find-method` command, performs a recursive search in a namespace for the existence of methods.
  * pry-coolline now works properly with Pry (https://github.com/pry/pry-coolline)
  * alias_command method now much more powerful, e.g: alias_command "lM", "ls -M"
  * `whereami` is now more intelligent, automatically showing entire sourcecode of current method if current context is a method (thanks robgleeson).
  * new `raise-up` command. Allows you to raise an exception that will bubble out of pry (ending the session) and escape into enclosing program.
  remaining items:
  * fixed windows crashing bug when paging
  * lines ending with \ are incomplete (kudos to fowl)
  * `edit-method -n` no longer blocks (thanks misfo)s
  * show instance methods of modules by default in ls
  * docs for REPL defined methods can now be displayed using show-doc
  * autoload ruby18_source_location on mri18, when available (https://github.com/conradirwin/ruby18_source_location)
  * tab completion should work on first line now (historic bug fixed)
  * :quiet => true option added to `Pry.start`, turns off whereami
  * another easter egg added
  * show unloaded constants in yellow for ls
  * improved documentation for Pry.config options
  * improved auto indentation
  * JRuby: heuristics used to clean up 'ls' output (less internal methods polluting output)
* Fri Apr 20 2012 saschpe@suse.de
- Provide rubygem-pry-0_9 for rubygem-pry_debug (and probably others)
* Thu Apr 19 2012 saschpe@suse.de
- Don't split out doc package (fix last commit), because there is also
  rubygem-pry-doc
* Thu Apr 12 2012 saschpe@suse.de
- Update to version 0.9.8.4:
  * ~/.pry_history wasnt being created (if it did not exist)! FIXED
  * `hist --save` saved colors! FIXED
  * added Pry#add_sticky_local API for adding sticky locals to individual pry instances
- Changes from version 0.9.8.3:
  * various tweaks to improve rbx support
  * commands now support optional block arguments
  * much improved help command
  * updated method_source dependencya
  * added wtf command
  * jruby should now work in windows (though without color)
- Changes from version 0.9.8.2:
  * fixed bugs related to --super
  * upgraded slop dependency
  * added edit -c (edit current line)
  * edit now respects Pry.config.disable_autoreload option
- Changes from version 0.9.8.1:
  * fixed broken --no-plugins option
  * Ensure ARGV is not mutated during option parsing.
  * Use a more rbx-friendly test for unicodeness
  * Use rbx-{18,19}mode as indicated http://about.travis-ci.org/docs/user/languages/ruby/
  * Don't explode in gem-list [Fixes #453, #454]
  * Check for command-name collision on assignment [Fixes #450]
* Fri Jan 27 2012 mrueckert@suse.de
- update to 0.9.8
  /usr/lib*/ruby/gems/1.8/gems/pry-0.9.8/CHANGELOG
* Thu Sep 15 2011 mrueckert@suse.de
- update to 0.9.5
  - JRuby support, including show-method/edit-method and editor
    integration on both 1.8 and 1.9 versions
  - extended cd syntax: cd ../@x/y
  - play command now works much better with _in_ array (this is a
    very powerful feature, esp with Pry::NAV_PROMPT)
  - history saving/loading is now lightning fast
  - 'edit' (entered by itself) now opens current lines in input
    buffer in an editor, and evals on exit
  - 'edit' command is also, in general more intelligent
  - ls output no longer in array format, and colors can be
    configured, e.g: Pry.config.ls.ivar_color = :bright_blue
  - new switch-to command for moving around the binding stack
    without exiting out of sessions
  - more sophisticated prompts, Pry::NAV_PROMPT to ease deep
    spelunking of code
  - major bug fix for windows systems
  - much better support for huge objects, should no longer hang pry
    (see #245)
  - cat --ex and edit --ex now work better
  for all changes see /usr/lib*/ruby/gems/1.8/gems/pry-0.9.5/CHANGELOG
- dont split out the docs anymore: package conflicts with pry-doc
  gem
* Tue Jul  5 2011 mrueckert@suse.de
- update to 0.9.2
  - fixed string interpolation bug (caused valid ruby code not to
    execute, sorry!)
  - fixed `ls` command, so it can properly display members of
    Object and classes, and BasicObject, etc
  - added a few git related commands to experimental command set,
    blame and diff
  - plugin system
  - regex commands
  - show-method works on methods defined in REPL
  - new command system/API
  - rubinius core support
  - more backports to ruby 1.8
  - inp/out special locals
  - _ex_ backtrace navigation object (_ex_.line, _ex_.file)
  - readline history saving/loading
  - prompt stack
  - more hooks
  - amend-line
  - play
  - show-input
  - edit
  - much more comprehensive test suite
  - support for new and old rubygems API
  - changed -s behaviour of ls (now excludes Object methods)
  - removed eval-file, lls, lcd, and a few other commands
* Wed Apr 27 2011 mrueckert@suse.de
- recommend gist.
* Tue Apr 26 2011 mrueckert@suse.de
- initial package (0.8.3)
